#include <bits/stdc++.h>

#define int long long
#define pb emplace_back
#define mp make_pair
#define x first
#define y second
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()

typedef long double ld;
typedef long long ll;

using namespace std;

mt19937 rnd(time(nullptr));

const int inf = 1e18;
const ll M = 998244353;
const ld pi = atan2(0, -1);
const ld eps = 1e-6;

struct maxq {
    deque<int> q;

    void push(int x) {
        while (!q.empty() && q.back() < x) {
            q.pop_back();
        }
        q.push_back(x);
    }

    void pop(int x) {
        if (q.front() == x) {
            q.pop_front();
        }
    }

    int get_max() {
        return q.empty()? 0: q.front();
    }
};

void solve(int tc) {
    int n, h;
    cin >> n >> h;
    vector<pair<int, int>> ch(n);
    int mx = 0;
    for (auto &e: ch) cin >> e.x;
    for (auto &e: ch) {
        cin >> e.y;
        mx = max(mx, e.y);
    }
    sort(all(ch));
    int ans = 1e9;
    maxq q = maxq();
    int r = 1, w = ch[0].y;
    for(int l = 0; l < n; ++l){
        while(r < n && w < h) {
            q.push(ch[r].x - ch[r - 1].x);
            w += ch[r++].y;
        }
        if(w >= h){
            ans = min(ans, q.get_max());
        }
        if(l < r) q.pop(ch[l + 1].x - ch[l].x);
        w -= ch[l].y;
    }
    cout << ans;
}

bool multi = false;

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int t = 1;
    if (multi)cin >> t;
    for (int i = 1; i <= t; ++i) {
        solve(i);
        cout << "\n";
    }
    return 0;
}