/*
    @author: doreshnikov
    Daniil Oreshnikov, ITMO University
*/

#include <bits/stdc++.h>

using namespace std;

typedef unsigned int uint;
typedef long long ll;
typedef pair<int, int> pii;

void mcin() {}

template<typename T, typename ...Tail>
void mcin(T &&arg, Tail &&...args) {
    cin >> arg;
    mcin(args...);
}
#define in(type, ...) type __VA_ARGS__; mcin(__VA_ARGS__);

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    return in >> p.first >> p.second;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &v) {
    for (auto &item : v)
        in >> item;
    return in;
}

#define all(c) c.begin(), c.end()

void shift(vector<uint> &a, int d) {
    rotate(a.begin(), a.begin() + d, a.end());
}

void op_xor(vector<uint> &b, vector<uint> &a) {
    for (int i = 0; i < b.size(); i++) b[i] ^= a[i];
}

void op_and(vector<uint> &b, vector<uint> &a) {
    for (int i = 0; i < b.size(); i++) b[i] &= a[i];
}

void op_or(vector<uint> &b, vector<uint> &a) {
    for (int i = 0; i < b.size(); i++) b[i] |= a[i];
}

int main() {

    in(int, n, m, d, p)
    vector<string> op(m);
    vector<uint> a(n), b;
    cin >> a >> op;
    b = a;

    while (p--) {
        for (auto const &f : op) {
            shift(a, d);
            if (f == "xor") op_xor(b, a);
            else if (f == "and") op_and(b, a);
            else op_or(b, a);
        }
    }

    for (uint value : b) cout << value << ' ';
    cout << '\n';

}