using namespace std;

#include "testlib.h"

typedef long long ll;

const ll MAX_N = 500'000;
const ll MAX_C = 1'000'000'000;
const ll MAX_W = 1'000'000'000;

int N[] = {MAX_N, 1000, 2, MAX_N, 1000, 200'000, MAX_N};
int C[] = {MAX_C, 1000, MAX_C, 2, MAX_C, MAX_C, MAX_C};

int max_g = 6;

int main(int argc, char** argv) {
    registerValidation(argc, argv);
    int g = atoi(validator.group().c_str());
    if (validator.group().empty()) g = max_g;

    int n = inf.readInt(1ll, N[g], "n");
    inf.readEoln();
    if (g == 2) {
        ensuref(n == 2, "g = 2, n != 2");
    }
    for (int i = 0; i < n; i++) {
        int c = inf.readInt(1ll, C[g], "c_i");
        inf.readSpace();
        int w = inf.readInt(1ll, MAX_W, "w_i");
        inf.readEoln();
    }
    inf.readEof();
    return 0;
}
